Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.runtime
Interface EntityCacheCurrentStateRuntimeMBean

public interface EntityCacheCurrentStateRuntimeMBean
extends EntityCacheRuntimeMBean

This class is used for monitoring an XML Cache.

Method Summary
`long` | `getDiskUsage()` Returns the current size of the entity disk cache.
`long` | `getMemoryUsage()` Returns current size of the entity memory cache.

Methods inherited from interface weblogic.management.runtime.EntityCacheRuntimeMBean
`getAvgPercentPersistent, getAvgPercentTransient, getAvgPerEntryDiskSize, getAvgPerEntryMemorySize, getAvgTimeout, getMaxEntryMemorySize, getMaxEntryTimeout, getMinEntryMemorySize, getMinEntryTimeout, getTotalCurrentEntries, getTotalPersistentCurrentEntries, getTotalTransientCurrentEntries`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getMemoryUsage

    public long getMemoryUsage()

  Returns current size of the entity memory cache.

### getDiskUsage

    public long getDiskUsage()

  Returns the current size of the entity disk cache.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference